{
  "codebase": "RAGSAK",
  "results": [
    {
      "threshold": 0.0,
      "symbols_total": 1724,
      "symbols_kept": 1724,
      "seqs_total": 1609,
      "seqs_surviving": 1578,
      "contexts": 1065,
      "sore_successes": 49,
      "total_methods": 1578,
      "methods_in_good": 217,
      "coverage": 13.8,
      "top_patterns": [
        {
          "context": "('warn', 'status', 'body')",
          "methods": 22,
          "unique": 1,
          "sore": "warn.status.body.ErrorResponse"
        },
        {
          "context": "('ery {', 'stKnowledgeBases()', 'gRequest(m')",
          "methods": 12,
          "unique": 4,
          "sore": "ery {.stKnowledgeBases().gRequest(m.(ckKnowledgeBase(re.ertEquals(Kn.\"k|eckKnowledgeBase(r.(sertEquals(K.(\"|(sertEquals(t|sertNull(o)))"
        },
        {
          "context": "('mockk',)",
          "methods": 11,
          "unique": 1,
          "sore": "mockk"
        },
        {
          "context": "('filesIn', 'assertTrue', 'hasImport')",
          "methods": 7,
          "unique": 2,
          "sore": "filesIn.assertTrue.(hasImport)+"
        },
        {
          "context": "('of',)",
          "methods": 7,
          "unique": 1,
          "sore": "of"
        }
      ],
      "elapsed": 0.09
    },
    {
      "threshold": 0.01,
      "symbols_total": 1724,
      "symbols_kept": 130,
      "seqs_total": 1609,
      "seqs_surviving": 1270,
      "contexts": 633,
      "sore_successes": 61,
      "total_methods": 1270,
      "methods_in_good": 331,
      "coverage": 26.1,
      "top_patterns": [
        {
          "context": "('assertEquals', 'assertEquals')",
          "methods": 23,
          "unique": 1,
          "sore": "(assertEquals)+"
        },
        {
          "context": "('warn', 'status', 'body')",
          "methods": 22,
          "unique": 1,
          "sore": "warn.status.body.ErrorResponse"
        },
        {
          "context": "('map',)",
          "methods": 16,
          "unique": 1,
          "sore": "map"
        },
        {
          "context": "('mockk',)",
          "methods": 12,
          "unique": 1,
          "sore": "mockk"
        },
        {
          "context": "('build',)",
          "methods": 11,
          "unique": 1,
          "sore": "build"
        }
      ],
      "elapsed": 0.08
    },
    {
      "threshold": 0.02,
      "symbols_total": 1724,
      "symbols_kept": 54,
      "seqs_total": 1609,
      "seqs_surviving": 1185,
      "contexts": 456,
      "sore_successes": 56,
      "total_methods": 1185,
      "methods_in_good": 405,
      "coverage": 34.2,
      "top_patterns": [
        {
          "context": "('assertEquals', 'assertEquals')",
          "methods": 28,
          "unique": 1,
          "sore": "(assertEquals)+"
        },
        {
          "context": "('warn', 'status', 'body')",
          "methods": 25,
          "unique": 1,
          "sore": "warn.status.body"
        },
        {
          "context": "('assertTrue',)",
          "methods": 18,
          "unique": 1,
          "sore": "assertTrue"
        },
        {
          "context": "('map',)",
          "methods": 17,
          "unique": 1,
          "sore": "map"
        },
        {
          "context": "('of',)",
          "methods": 17,
          "unique": 1,
          "sore": "of"
        }
      ],
      "elapsed": 0.21
    },
    {
      "threshold": 0.05,
      "symbols_total": 1724,
      "symbols_kept": 16,
      "seqs_total": 1609,
      "seqs_surviving": 919,
      "contexts": 182,
      "sore_successes": 40,
      "total_methods": 919,
      "methods_in_good": 417,
      "coverage": 45.4,
      "top_patterns": [
        {
          "context": "('build',)",
          "methods": 40,
          "unique": 1,
          "sore": "build"
        },
        {
          "context": "('assertEquals', 'assertEquals')",
          "methods": 34,
          "unique": 1,
          "sore": "(assertEquals)+"
        },
        {
          "context": "('of',)",
          "methods": 34,
          "unique": 1,
          "sore": "of"
        },
        {
          "context": "('map',)",
          "methods": 33,
          "unique": 1,
          "sore": "map"
        },
        {
          "context": "('assertTrue',)",
          "methods": 29,
          "unique": 1,
          "sore": "assertTrue"
        }
      ],
      "elapsed": 0.16
    },
    {
      "threshold": 0.1,
      "symbols_total": 1724,
      "symbols_kept": 5,
      "seqs_total": 1609,
      "seqs_surviving": 657,
      "contexts": 44,
      "sore_successes": 19,
      "total_methods": 657,
      "methods_in_good": 454,
      "coverage": 69.1,
      "top_patterns": [
        {
          "context": "('assertTrue',)",
          "methods": 68,
          "unique": 1,
          "sore": "assertTrue"
        },
        {
          "context": "('every',)",
          "methods": 57,
          "unique": 1,
          "sore": "every"
        },
        {
          "context": "('assertEquals',)",
          "methods": 44,
          "unique": 1,
          "sore": "assertEquals"
        },
        {
          "context": "('assertEquals', 'assertEquals')",
          "methods": 43,
          "unique": 1,
          "sore": "(assertEquals)+"
        },
        {
          "context": "('every', 'listOf', 'listOf')",
          "methods": 41,
          "unique": 30,
          "sore": "(((assertEquals)+|(assertTrue)+)+|((every)+|((listOf)+|(any)+)+)+)+"
        }
      ],
      "elapsed": 0.1
    },
    {
      "threshold": 0.15,
      "symbols_total": 1724,
      "symbols_kept": 2,
      "seqs_total": 1609,
      "seqs_surviving": 473,
      "contexts": 9,
      "sore_successes": 8,
      "total_methods": 473,
      "methods_in_good": 431,
      "coverage": 91.1,
      "top_patterns": [
        {
          "context": "('every',)",
          "methods": 95,
          "unique": 1,
          "sore": "every"
        },
        {
          "context": "('assertEquals',)",
          "methods": 72,
          "unique": 1,
          "sore": "assertEquals"
        },
        {
          "context": "('every', 'every', 'every')",
          "methods": 59,
          "unique": 20,
          "sore": "((every)+|(assertEquals)+)+"
        },
        {
          "context": "('assertEquals', 'assertEquals')",
          "methods": 56,
          "unique": 1,
          "sore": "(assertEquals)+"
        },
        {
          "context": "('every', 'assertEquals')",
          "methods": 47,
          "unique": 1,
          "sore": "every.assertEquals"
        }
      ],
      "elapsed": 0.02
    },
    {
      "threshold": 0.2,
      "symbols_total": 1724,
      "symbols_kept": 1,
      "seqs_total": 1609,
      "seqs_surviving": 326,
      "contexts": 3,
      "sore_successes": 3,
      "total_methods": 326,
      "methods_in_good": 326,
      "coverage": 100.0,
      "top_patterns": [
        {
          "context": "('assertEquals',)",
          "methods": 162,
          "unique": 1,
          "sore": "assertEquals"
        },
        {
          "context": "('assertEquals', 'assertEquals')",
          "methods": 87,
          "unique": 1,
          "sore": "(assertEquals)+"
        },
        {
          "context": "('assertEquals', 'assertEquals', 'assertEquals')",
          "methods": 77,
          "unique": 10,
          "sore": "(assertEquals)+"
        }
      ],
      "elapsed": 0.01
    }
  ]
}